## node-microsoft-fast 0~20240320+ds1

=== debian/changelog ===
node-microsoft-fast (0~20240320+ds1-1) unstable; urgency=medium

  * Initial release (Closes: #1068862)

 -- Yadd <yadd@debian.org>  Fri, 12 Apr 2024 16:48:05 +0400
