=== debian/control ===
Source: node-microsoft-fast
Section: javascript
Priority: optional
Maintainer: Debian Pan Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
Uploaders: Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs (>= 0.15.19~)
 , dh-nodejs
 , chai
 , mocha
 , node-csstype
 , node-parse5
 , node-playwright
 , node-prop-types
 , node-qs
 , node-react
 , node-react-dom
 , node-rollup-plugin-babel
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-terser
 , node-rollup-plugin-typescript
 , node-typescript
 , node-webpack-env
 , rollup
Standards-Version: 4.7.0
Homepage: https://www.fast.design/
Vcs-Git: https://salsa.debian.org/js-team/node-microsoft-fast.git
Vcs-Browser: https://salsa.debian.org/js-team/node-microsoft-fast
Rules-Requires-Root: no

Package: node-exenv-es6
Architecture: all
Depends: ${misc:Depends}
Description: React.js's ExecutionEnvironment module extracted as ES6 functions
 exenv-es6 is a React's ExecutionEnvironment module extracted as ES6 functions.

#Package: node-microsoft-fast-benchmarks
#Architecture: all
#Depends: ${misc:Depends}
#Description:  library for creating and running benchmarks for @microsoft/fast libraries
# @microsoft/fast-benchmarks is a utility library for creating and running
# benchmarks for FAST libraries.

Package: node-microsoft-fast-colors
Architecture: all
Depends: ${misc:Depends}
Description: color classes and utilities designed to make parsing and manipulating colors easy
 @microsoft/fast-colors includes a number of color classes and utilities
 designed to make parsing and manipulating colors easy, fast, and light-weight.

Package: node-microsoft-fast-element
Architecture: all
Depends: ${misc:Depends}
Description: lightweight means to easily build performant Web Components
 The `@microsoft/fast-element` library is a lightweight means to easily build
 performant, memory-efficient, standards-compliant Web Components. FAST
 Elements work in every major browser and can be used in combination with any
 front-end framework or even without a framework.

Package: node-microsoft-fast-foundation
Architecture: all
Depends: ${misc:Depends}
 , node-microsoft-fast-element
 , node-microsoft-fast-web-utilities
 , node-tabbable
Description: library of Web Component classes
 The `@microsoft/fast-foundation` package is a library of Web Component
 classes, templates, and other utilities intended to be composed into
 registered Web Components by design systems (e.g. Fluent Design,
 Material Design, etc.). The exports of this package can generally be
 thought of as un-styled base components that implement semantic and
 accessible markup and behavior.

Package: node-microsoft-fast-react-wrapper
Architecture: all
Depends: ${misc:Depends}
 , node-microsoft-fast-foundation
 , node-react
 , node-tslib
Description: utility that enables automatically wrapping Web Components in a React component
 fast-react-wrapper contains a utility that enables automatically wrapping Web
 Components in a React component for ease of integration into React projects.

Package: node-microsoft-fast-router
Architecture: all
Depends: ${misc:Depends}
 , node-microsoft-fast-element
Description: history-based navigation and routing solution designed around Web Components
 The `@microsoft/fast-router` package contains a history-based navigation and
 routing solution designed around Web Components. By using `fast-router`, you
 can create multi-page and full application experiences. The router works
 with any Web Components, but has special support for Web Components built
 on FAST.

Package: node-microsoft-fast-ssr
Architecture: all
Depends: ${misc:Depends}
 , node-microsoft-fast-element
 , node-parse5
Description: NodeJS solution for rendering "@microsoft/fast" templates and components
 The `@microsoft/fast-ssr` package contains a NodeJS solution for rendering
 FAST templates and components. While primarily intended for supporting
 server-side rendering (SSR) scenarios, it also allows FAST to be used as a
 general purpose HTML templating solution.

Package: node-microsoft-fast-web-utilities
Architecture: all
Depends: ${misc:Depends}
 , node-exenv-es6
Description: Collection of utilities intended to be used for web projects.
 @microsoft/fast-web-utilities is a collection of utilities intended to be
 used for web projects.

Package: node-tabbable
Architecture: all
Depends: ${misc:Depends}
Description: Small utility that returns an array of all tabbable DOM nodes
 tabbable is a small utility that returns an array of all* tabbable DOM nodes
 within a containing node.
