=== debian/watch ===
version=4

opts=mode=git,\
repacksuffix=+ds1,\
date=%Y%m%d,\
dversionmangle=auto,\
pgpmode=none,\
pretty=0~%cd \
 https://github.com/Microsoft/fast.git HEAD

opts="searchmode=plain,component=exenv-es6,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-exenv-es6-$1/" \
 https://registry.npmjs.org/exenv-es6 https://registry.npmjs.org/exenv-es6/-/exenv-es6-([\d\.]+)@ARCHIVE_EXT@ ignore

opts=\
component=tabbable,\
ctype=nodejs,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-tabbable-$1/ \
 https://github.com/focus-trap/tabbable/tags .*/archive.*/v?([\d\.]+).tar.gz ignore
